	function tfixed(edet)
c
	include '/u1/gcf/e350/crystal/cb/parms'
	include '/u1/gcf/e350/crystal/cb/abssiz'
	include '/u1/gcf/e350/crystal/cb/clouds'
	include '/u1/gcf/e350/crystal/cb/beam'
	include '/u1/gcf/e350/crystal/cb/const'
	include '/u1/rgk/icicle/cb/dblsct'
	include '/u1/gcf/e350/crystal/cb/igr'
	include '/u1/gcf/e350/crystal/cb/it'
	dimension core(7)
	external cspi,cset
c
	data core/7*1./
	if (fitfix) goto 1
	s=sreal(ibm,it)
	if (jpart(1).eq.3) goto 2
	if (.not.nfs) goto 4
	if (ipart.eq.1) tfixed=xsec(s,tlo,thi,cspi,1)/(fdmicr*bratio(1))
	if (ipart.eq.2) tfixed=xsec(s,tlo,thi,cset,3)/(fdmicr*bratio(2))
	return
2	if (ipart.eq.1) tfixed=9.2*(exp(9.7*tlo)-exp(9.7*thi))/(9.7*
& fdmicr)
	if (ipart.eq.2) tfixed=2.2*(exp(12.*tlo)-exp(12.*thi))/(12.*
& fdmicr)
	return
1	tfixed=pff*((sreal(ibm,it)/sreg)**(2.*alpha-2.))*core(it)
	return
4	if (ipart.eq.2) goto 5
	tfixed=xsec(s,tlo,thi,cspi,2)/(fdmicr*bratio(1))
	if (igr.eq.2) tfixed=0.65*tfixed
	return
5	tfixed=xsec(s,tlo,thi,cset,3+igr)/(fdmicr*bratio(2))
	return
c
	end
